

java -cp fastjson-1.2.29.jar:mybatis-3.4.0.jar:mybatis-parser-1.0-SNAPSHOT.jar com.jd.ads.union.App "<script>select singer,monthly_unique_visitor as 'muv',monthly_page_view as 'mpv',ta_coverage_rate as 'cRate' ,ta_penetration_rate as 'pRate', if(ta_penetration_rate='>1',99999999999,ta_penetration_rate) AS 'pRateC' from tbl_seg_music_singer where segmentation=${seg} and month=${month} <choose><when test=\"index=='muv'\"><if test=\"sort==1\">order by CAST(monthly_unique_visitor as SIGNED) ASC</if><if test=\"sort==0\">order by CAST(monthly_unique_visitor as SIGNED) DESC</if></when><when test=\"index=='mpv'\"><if test=\"sort==1\">order by CAST(monthly_page_view as SIGNED) ASC</if><if test=\"sort==0\">order by CAST(monthly_page_view as SIGNED) DESC</if></when><when test=\"index=='cRate'\"><if test=\"sort==1\">order by cRate ASC</if><if test=\"sort==0\">order by cRate DESC</if></when><when test=\"index=='pRate'\"><if test=\"sort==1\">order by CAST(pRateC as DECIMAL) ASC</if><if test=\"sort==0\">order by CAST(pRateC as DECIMAL) DESC</if></when></choose> order by CAST(monthly_unique_visitor as SIGNED) ASC <if test=\"start != null \" >LIMIT ${start},${lines}</if>;</script>" "{\"index\":\"muv\",\"sort\":1,\"start\":1,\"lines\":20}"

